Page MenuHomePhabricator

[InstCombine] Handle atomic memset in the same way as regular memset
ClosedPublic

Authored by dneilson on May 9 2018, 1:05 PM.

Details

Summary

This change adds handling of the atomic memset intrinsic to the
code path that simplifies the regular memset. In practice this means
that we will now also expand a small constant-length atomic memset
into a single unordered atomic store.

Diff Detail

Repository
rL LLVM

Event Timeline

dneilson created this revision.May 9 2018, 1:05 PM
reames accepted this revision.May 10 2018, 2:53 PM
reames added a subscriber: reames.

LGTM

This revision is now accepted and ready to land.May 10 2018, 2:53 PM
dneilson updated this revision to Diff 146397.May 11 2018, 1:05 PM
  • Rebaseline prior to landing
This revision was automatically updated to reflect the committed changes.